<?php

namespace Modules\Post\Http\Livewire;

use Livewire\Component;
use Livewire\Attributes\Validate;
use Livewire\Attributes\On;
use Modules\Post\Models\Post;

class PostUpdate extends Component
{
    public $categories = [];
    public $availableCities = [];
    public Post $post;
    public $isActive = false;
    public function mount(Post $post)
    {
        $this->categories = \Modules\Post\Models\PostCategory::cases();
        $this->post = $post;
        $this->availableCities = GetAvailableCities();
    }
    public function render()
    {
        return view(
            'post::form.update'
        );
    }
    public function rendered()
    {
        
    }
}